Chef integration

Compatible with:  IntelliJ IDEA , RubyMine
09.09.2016
21 907
Chef integration: working with cookbooks, recipes. Code completion of resources, recipes and cookbooks references.

Download plugin

Version

Update date

Anonymous
16.10.2015
Any reason this cannot be made to work for more IDEs? I'd love to use it with PhpStorm, but no idea how to modify for that. PHP and Chef are getting more common together.
mez
04.06.2015
Tried this with PHPStorm 9 EAP, and it caused the startup to lock.
13.05.2015
I installed the Chef plugin and the Ruby plugin (not RubyMine). How can I get autocomplete to work with Chef scripts?
The Chef plugin works with the Ruby language support together only. So you have to use either RubyMine or IDEA+Ruby plugin with the Chef plugin installed.
Anonymous
03.02.2015
Anyway you can port it to pycharm ? I would appreciate it, if possible.
The Chef plugin is available since 138.1968 IDEA 14 "Cassiopeia" EAP build (http://confluence.jetbrains.com/display/IDEADEV/IDEA+14+EAP) and 138.1968 RubyMine 7 "Tsubaki" EAP build (http://confluence.jetbrains.com/display/RUBYDEV/RubyMine+EAP). Sorry for the inconvenience.
Anonymous
08.09.2014
Following message error is raised while installing chef plugin to IntelliJ Idea 13.1 : Plugin Chef integration is incompatible with current installation Let me know if you have any idea the problem come from and how to solve it... Thank you !
Version 7.0.0-138-20233 is EAP (Early Access Program). It is important to distinguish EAP from traditional pre-release software. Please note that the quality of EAP versions may at times be way below even usual beta standards.
Please  sign in  to leave a comment.